SELECT
	posts.id,
	posts.post_title,
	posts.isanon,
	posts.post_time,
	authors.name
FROM 
	posts,
	authors
WHERE
	posts.authorid = authors.id
UNION
SELECT
	posts.id,
	posts.post_title,
	posts.isanon,
	posts.post_time,
	'Anonymous'
FROM
	posts
WHERE
	posts.authorid = -1
ORDER BY
	posts.post_time DESC
LIMIT 10;
